IWGETID(8)

NOM
iwgetid - Rapporte le ESSID, NWID ou l'Adresse de l'AP/Cell (Point d'Accès/Cellule) du réseau sans fil.

SYNOPSIS
iwgetid [interface] [--raw] [--scheme] [--ap] [--freq]
[--mode] [--protocol] [--channel]

DESCRIPTION
iwgetid est utilisé pour trouver le NWID, ESSID ou l'adresse de l'AP ou cellule du réseau sans fil utilisé présentement. L'information rapportée est la même que celle montrée par iwconfig, mais iwgetid est plus facile à intégrer dans les scripts.
Par défaut, iwgetid affichera l'ESSID de la carte, et si la carte n'a pas d'ESSID, il affichera son NWID.
Le formatage par défaut de la sortie est embelli.

OPTIONS

--raw
    Cette option désactive l'embellissement de l'affichage de l'information. Cette option est orthogonale aux autres options (sauf --scheme), donc, avec la combinaison appropriée des options, il est possible d'afficher en brut l'ESSID, l'Adresse de l'AP ou le Mode.
    Ce format est idéal quand on stocke le résultat de iwgetid comme une variable dans les scripts Shell ou Perl, ou pour passer le résultat comme argument sur la ligne de commande de iwconfig.

--scheme
    Cette option est similaire à la précédente, elle désactive l'embellissement de l'affichage des données et supprime tous les caractères non alphanumériques (comme les caractères d'espacement, la ponctuation et les caractères de contrôle).
    La sortie résultante est un identifiant Pcmcia valide (« Pcmcia scheme identifer ») (qui peut être utilisé comme argument de la commande cardctl scheme). Ce format est aussi idéal quand on utilise le résultat de iwgetid comme un sélecteur (« selector ») dans les scripts Shell ou Perl, ou comme un nom de fichier.

--ap
    Affiche l'adresse MAC du Point d'Access ou de la Cellule sans fil.

--freq
    Affiche la fréquence ou le canal courant utilisé par l'interface.

--channel
    Affiche le canal (channel) courant utilisé par l'interface. Le canal est déterminé en utilisant la fréquence courante et la liste de fréquence fournie par l'interface.

--mode
    Affiche le mode courant de l'interface.

--protocol
    Affiche le nom de protocole de l'interface. Il permet d'identifer toutes les cartes qui sont compatibles entre elles et qui acceptent le même type de configuration.
    Cela peut aussi être utilisé pour vérifier la compatibilité de Wireless Extension sur l'interface, car c'est le seul attribut que tous les pilotes supportant Wireless Extension doivent avoir.

TRADUCTION
Maxime CHARPENNE, août 2004 (wireless_tools.27-pre25).

AVERTISSEMENT SUR LA TRADUCTION
Il est possible que cette traduction soit imparfaite ou périmée. En cas de doute, veuillez vous reporter au document original en langue anglaise fourni avec le programme.

VOIR AUSSI
iwconfig(8), ifconfig(8), iwspy(8), iwpriv(8).